> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update safe lists for a workspace

> Add entries to multiple safe lists of a workspace in a single request.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json patch /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/bulk
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/bulk:
    patch:
      tags:
        - Workspaces
      summary: Bulk update safe lists for a workspace
      description: Add entries to multiple safe lists of a workspace in a single request.
      operationId: publicBulkUpdateWorkspaceSafeList
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PublicBulkUpdateWorkspaceFileSafeListRequestDto
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicBulkUpdateWorkspaceFileSafeListRequestDto:
      type: object
      properties:
        safeListIds:
          example:
            - asdfgh12345
          type: array
          items:
            type: string
        create:
          $ref: '#/components/schemas/SafeListRequestDto'
      required:
        - safeListIds
        - create
    EmptyResponseDto:
      type: object
      properties: {}
    SafeListRequestDto:
      type: object
      properties:
        safeDomains:
          example:
            - foo.com
            - bar.com
          type: array
          items:
            type: string
        safeEmailIds:
          example:
            - foo@example.com
          type: array
          items:
            type: string
        safeFiles:
          example:
            - name: foo
              id: asdfgh12345
          type: array
          items:
            $ref: '#/components/schemas/SafeListEntityDto'
        safeGroups:
          example:
            - name: foo
              id: asdfgh12345
          type: array
          items:
            $ref: '#/components/schemas/SafeListEntityDto'
    SafeListEntityDto:
      type: object
      properties:
        name:
          type: string
          example: foo bar baz
        id:
          type: string
          example: asdfgh12345
      required:
        - name
        - id
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````